SipmaZ224 = {};
addModEventListener(SipmaZ224);

local baleregpath = g_currentModDirectory;
function SipmaZ224.prerequisitesPresent(specializations)
    return true;
end;

function SipmaZ224:loadMap(name)
	
	local key1 = BaleUtil.getBaleKey("wheat_windrow", 0.51, 0.51, 0.91, nil, false);
	local key1a = BaleUtil.getBaleKey("barley_windrow", 0.51, 0.51, 0.91, nil, false);
	local key2 = BaleUtil.getBaleKey("dryGrass_windrow", 0.51, 0.51, 0.91, nil, false);
	local key3 = BaleUtil.getBaleKey("grass_windrow", 0.51, 0.51, 0.91, nil, false);
	if BaleUtil[key1] == nil then
		BaleUtil.registerBaleType(("Bales/sloma.i3d"), "wheat_windrow", 0.51, 0.51, 0.91, nil, false)
		print(">>> register small strawbale (wheat)")
	else
		print("<<<< small strawbale (wheat) already exist")
	end
	if BaleUtil[key1a] == nil then
		BaleUtil.registerBaleType(("Bales/sloma.i3d"), "barley_windrow", 0.51, 0.51, 0.91, nil, false)
		print(">>> register small strawbale (barley)")
	else
		print("<<<< small strawbale (barley) already exist")
	end
	if BaleUtil[key2] == nil then
		BaleUtil.registerBaleType(("Bales/siano.i3d"), "dryGrass_windrow", 0.51, 0.51, 0.91, nil, false)
		print(">>> register small haybale")
	else
		print("<<<< small haybale already exist")
	end
	if BaleUtil[key3] == nil then
		BaleUtil.registerBaleType(("Bales/trawa.i3d"), "grass_windrow", 0.51, 0.51, 0.91, nil, false)
		print(">>> register small grassbale")
	else
		print("<<<< small grassbale already exist")
	end

end;

function SipmaZ224:deleteMap()
end

function SipmaZ224:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SipmaZ224:keyEvent(unicode, sym, modifier, isDown)
end;

function SipmaZ224:update(dt)
end

function SipmaZ224:draw()
end;
